Support » WooCommerce » Woocommerce erzeugt Fehler nach Update

  • Seit dem letzten Update von Woocommerce wird folgender Fehler erzeugt…

    Fehler-Details
    ==============
    Ein Fehler vom Typ E_COMPILE_ERROR wurde in der Zeile 514 der Datei /home/www/shop-romeoarts/wp-content/plugins/woocommerce/includes/class-wc-download-handler.php verursacht. Fehlermeldung: Only variables can be passed by reference

    Wir nutzen:
    WordPress-Version 5.7.2
    Aktuelles Theme: Flatsome Child (Version 3.0) Aktuelles Plugin: WooCommerce (Version 5.5.0) PHP-Version 7.4.16

    Dieser Fehler bringt die ganze Seite zum Absturz. Sie ist nicht mehr erreichbar.
    Weder die Seite selbst noch das Backend.

    Wer haben sporadisch in der Datei „class-wc-download-handler.php“ die Zeilen 515 bis 522 ausgeklammert, so das diese Zeilen keine Auswirkungen mehr haben.

    Doch ist dies keine Lösung. Der Shop ist zwar abrufbar, doch nicht voll funktionstüchtig.

    Zudem wird nun einer jeden aufgerufenen Seite folgendes angehängt “
    /?v=3a52f3c22ed6″

    Wir bitten um schnelle Hilfe, so das unser Shop wieder voll einsatzbereit ist.

    Freundliche Grüße
    Enrico

    Die Seite, für die ich Hilfe brauche: [Anmelden, um den Link zu sehen]

Ansicht von 3 Antworten - 1 bis 3 (von insgesamt 3)
  • Moderator Bego Mario Garde

    (@pixolin)

    Wir bitten um schnelle Hilfe, so das unser Shop wieder voll einsatzbereit ist.

    Wenn du „ganz schnelle Hilfe“ benötigst, solltest du dir einen Dienstleister suchen und ein entsprechendes SLA abschließen. Da hier nur Freiwillige in ihrer freien Zeit helfen, können wir hier keine Antwortzeiten garantieren.

    Bei Fragen zu gekauften Themes (hier: Flatsome) können wir dir nicht weiterhelfen, weil sie uns für einen kostenlosen Support nicht kostenlos zur Verfügung stehen.

    Bitte wende dich bei Fragen zu diesem Theme an die Entwickler.

    Thread-Ersteller romeoartefacts

    (@romeoartefacts)

    Danke für die schnelle Antwort.

    Es geht hier nicht um unser Theme, sondern um einen gravierenden Fehler des PlugIn von Woocommerce.

    Gibt es einen direkten Link zum Support von Woocommerce?

    Ich konnte noch keinen relevanten finden, um die Entwickler von Woocommerce direkt zu kontaktieren.

    Danke im Voraus und beste Grüße
    Enrico

    Hallo,
    hier der Link zum Support von Woocommerce.

    Ich konnte noch keinen relevanten finden, um die Entwickler von Woocommerce direkt zu kontaktieren.

    … wundert mich, weil das schnell über Google gefunden wird 😉
    Viele Grüße
    Hans-Gerd

Ansicht von 3 Antworten - 1 bis 3 (von insgesamt 3)